[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Dependencies on shared libs, take 2

On Wed, Jun 06, 2007, Raphael Hertzog wrote:
> We could then have the package field contain multiple packages (separated
> by "," or "|" or whatever) and have dpkg-shlibdeps generate pkg1 (>=
> min-ver) | pkg2 (>= min-ver).

 I don't think so; at least sometimes you want to depend on
 non-versionned packages, such as virtual provides for ABIs and such.
 For example libnotify1.shlibs:
    libnotify 1 libnotify1 (>= 0.4.4), libnotify1-gtk2.10

Loïc Minier

Reply to: